typedload (2.38-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 22 Sep 2025 08:29:00 +0200

typedload (2.37-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 26 Nov 2024 13:03:09 +0100

typedload (2.36-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 25 Nov 2024 00:07:46 +0100

typedload (2.35-1) unstable; urgency=low

  * New upstream release
  * Bump

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 18 Sep 2024 09:16:02 +0200

typedload (2.34-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 11 Jul 2024 11:54:04 +0200

typedload (2.33-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Jun 2024 17:01:28 +0200

typedload (2.32-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Jun 2024 16:57:21 +0200

typedload (2.31-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 31 May 2024 00:57:29 +0200

typedload (2.30-1) unstable; urgency=medium

  * New upstream release
  * Better copyright file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 May 2024 18:04:48 +0200

typedload (2.29-1) unstable; urgency=low

  * New upstream release
  * Add Vcs-Git field
  * Upstream moved to codeberg

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 18 May 2024 09:45:11 +0200

typedload (2.28-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 23 Apr 2024 14:53:56 +0200

typedload (2.27-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 15 Jan 2024 15:44:31 +0100

typedload (2.26-1) unstable; urgency=medium

  * New upstream release
  * Change my email address to the debian one
  * Update copyright file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 11 Sep 2023 13:54:09 +0200

typedload (2.25-1) unstable; urgency=low

  * New upstream release
  * Fix broken symlink in documentation (Closes: #1040601)
  * Override dh_auto_clean to properly clean (Closes: #1048336)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 27 Aug 2023 09:46:39 +0200

typedload (2.24-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Jul 2023 08:42:15 +0200

typedload (2.23-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version: 4.6.2

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 01 Jun 2023 07:54:30 +0200

typedload (2.22-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 27 Feb 2023 12:15:02 +0100

typedload (2.21-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 11 Dec 2022 22:17:43 +0100

typedload (2.20-1) unstable; urgency=low

  * New upstream release
  * Switch distutils for setuptools

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 11 Dec 2022 08:46:15 +0100

typedload (2.19-1) unstable; urgency=low

  * New upstream release
  * Use jdupes to link duplicated images together
  * Remove HTML from documentation package: mkdocs refuses to respect privacy
    and requires internet.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 03 Oct 2022 19:47:04 +0200

typedload (2.18-1) unstable; urgency=high

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 16 Aug 2022 16:00:46 +0200

typedload (2.17-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version: 4.6.1.0
  * Link svgfiles
  * Add debian/upstream/metadata file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 29 Jul 2022 22:21:58 +0200

typedload (2.16-1) unstable; urgency=low

  * New upstream release
  * Remove duplicate changelog from documentation
  * Remove duplicate gpl logo image from documentation

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 20 Jan 2022 21:41:50 +0100

typedload (2.15-3) unstable; urgency=medium

  * Fix Breaks and Replace version (Closes: #1004013)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 20 Jan 2022 19:40:49 +0100

typedload (2.15-2) unstable; urgency=low

  * Add Breaks and Replace fields to prevent doc package to be installed
    alongside an older typedload version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 17 Jan 2022 16:46:26 +0100

typedload (2.15-1) unstable; urgency=low

  * New upstream release
  * Add -doc package that contains the html documentation

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 14 Jan 2022 10:50:01 +0100

typedload (2.14-2) unstable; urgency=high

  * Remove mypy tests since they periodically fail (Closes: #1001736)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Dec 2021 00:37:30 +0100

typedload (2.14-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 02 Dec 2021 08:59:11 +0100

typedload (2.13-1) unstable; urgency=low

  * New upstream release
  * Changed LGPL exceptions

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 27 Oct 2021 23:55:34 +0200

typedload (2.12-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Fix debian/watch
  * Drop obsolete minimum version for mypy
  * Build depend on python3-all:any instead of python3-all

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 27 Oct 2021 22:23:06 +0200

typedload (2.11-1) unstable; urgency=high

  * New upstream release
  * Successful test with newer mypy version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 08 Sep 2021 05:08:04 +0200

typedload (2.10-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 27 Aug 2021 16:28:56 +0200

typedload (2.9-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Aug 2021 16:24:07 +0200

typedload (2.8-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 22 Apr 2021 11:22:47 +0200

typedload (2.7-1) unstable; urgency=low

  * New upstream release
  * Bumped d/watch version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 06 Apr 2021 21:10:30 +0200

typedload (2.6-1) unstable; urgency=low

  * New upstream release
  * Include docs/ directory
  * Point to new homepage

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 16 Feb 2021 15:16:02 +0100

typedload (2.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 29 Jan 2021 07:43:10 +0100

typedload (2.4-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Nov 2020 11:10:34 +0100

typedload (2.3-3) unstable; urgency=high

  * Forgot to pass --changes-option=-S to dpkg-buildpackage

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 07 Nov 2020 21:51:34 +0100

typedload (2.3-2) unstable; urgency=high

  * Add mypy to test dependencies
  * Remove test that uses the internet

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 05 Nov 2020 09:14:56 +0100

typedload (2.3-1) unstable; urgency=high

  * New upstream release
  * Use new style compat in build-deps
  * Bump compat to 13
  * Add autopkgtest
  * Fix mypy issue (Closes: #973238)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 28 Oct 2020 15:30:14 +0100

typedload (2.2-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 10 Apr 2020 16:37:02 +0200

typedload (2.1-1) unstable; urgency=high

  * New upstream release
  * Bump Standards-Version: 4.5.0

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 10 Apr 2020 14:10:56 +0200

typedload (2.0-1) unstable; urgency=low

  * New upstream release
  * Build depend on python3-attr.
    Not strictly needed but this will cause the tests for the optional attr module to run as well.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 31 Mar 2020 13:52:24 +0200

typedload (1.20-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 Jan 2020 16:33:36 +0100

typedload (1.19-1) unstable; urgency=high

  * New upstream release
  * Bump compat to 12
  * Bump mypy minimum version
  * Bump Standards-Version to 4.4.1
  * Set Rules-Requires-Root: no

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 03 Nov 2019 19:50:18 +0100

typedload (1.18-1) unstable; urgency=low

  * New upstream release
  * Mention the schema enforcing in the long description
  * Move to source only upload
  * bump Standards-Version to 4.4.0
  * Remove unnecessary X-Python3-Version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Sep 2019 13:23:16 +0200

typedload (1.17-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 08 Jul 2019 09:23:59 +0200

typedload (1.16-1) unstable; urgency=low

  * New upstream release
  * Add upstram changelog in debian package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 22 May 2019 07:50:24 +0200

typedload (1.15-1) unstable; urgency=low

  * New upstream release
  * Added Upstream-Name to d/copyright

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 22 Mar 2019 08:03:10 +0100

typedload (1.14-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 07 Mar 2019 07:18:00 +0100

typedload (1.13-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 02 Feb 2019 12:34:05 +0100

typedload (1.12-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 02 Feb 2019 11:35:01 +0100

typedload (1.11-1) unstable; urgency=medium

  * New upstream release
  * Relax mypy dependency version (Closes: #916280)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 15 Dec 2018 15:12:39 +0100

typedload (1.10-2) unstable; urgency=medium

  * Bump build-dep version on mypy

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 17 Oct 2018 20:05:53 +0200

typedload (1.10-1) unstable; urgency=low

  * New upstream release
  * Build-depend on a precise mypy version

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 18 Sep 2018 00:26:54 +0200

typedload (1.9-1) unstable; urgency=low

  * New upstream release
  * Bump standards-version to 4.2.1

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 18 Sep 2018 00:14:17 +0200

typedload (1.8-1) unstable; urgency=medium

  * New upstream release
  * Workaround mypy bug (Closes: #906626)
  * Bump Standards-Version to 4.2.0

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 20 Aug 2018 07:56:13 +0200

typedload (1.7-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 16 Jun 2018 13:09:58 +0200

typedload (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 08 Jun 2018 07:58:16 +0200

typedload (1.2-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 08 May 2018 22:43:11 +0200

typedload (1.1-1) unstable; urgency=low

  * New upstream release
  * Use mypy when creating the package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 07 May 2018 20:13:11 +0200

typedload (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #895158)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Apr 2018 07:37:39 +0200
